/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package database.encoding;

import java.util.HashMap;

/**
 *
 * @author Ani
 */
public class CharacterTable {
    public static HashMap<Integer,String> numbertable;

    static{
        numbertable = new HashMap<Integer,String>();
        for (int i=0;i<=48;i++){
            numbertable.put(i, coding(i));
        }
    }

    private static String coding(int i){
        i+=130;
        int a = i/2, b = i/2+i%2;
        StringBuilder sb = new StringBuilder();
        sb.append(Character.toChars(b));
        sb.append(Character.toChars(a));

        return sb.toString();
    }


}
